Change an appointment
Its time, notes, services (the list replaces what it was booked for) or status. Booked again from canceled needs a place on the day (409). Done is recorded with what was done, not here (400). Once a sale is open or paid for it, its services are fixed (409). Needs write on Animals.
PATCH
https://{organization}.rescueconsole.com
/
api
/
animals
/
clinic-days
/
{id}
/
appointments
/
{appointmentId}
Change an appointment
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"at_time": "<string>",
"notes": "<string>",
"service_ids": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({at_time: '<string>', notes: '<string>', service_ids: ['<string>']})
};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId}"
payload = {
"at_time": "<string>",
"notes": "<string>",
"service_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"appointment": {
"id": "<string>",
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25"
},
"status": "booked",
"pet": {
"id": "<string>",
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"altered": true,
"microchip_number": "<string>"
},
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"services": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"price_cents": 123,
"clinic_record": "vaccination"
}
],
"subtotal_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"at_time": "<string>",
"notes": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"records": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"appointment_id": "<string>",
"catalogue_item_id": "<string>",
"next_due_on": "2023-12-25",
"details": {},
"notes": "<string>",
"performed_in_house": true,
"veterinarian": {
"id": "<string>",
"name": "<string>"
},
"practice": {
"id": "<string>",
"name": "<string>"
},
"sac_line": "microchip_id"
}
],
"payment": {
"sale_id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"refunded_cents": 123,
"paid_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Change an appointment
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"at_time": "<string>",
"notes": "<string>",
"service_ids": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({at_time: '<string>', notes: '<string>', service_ids: ['<string>']})
};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}/appointments/{appointmentId}"
payload = {
"at_time": "<string>",
"notes": "<string>",
"service_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"appointment": {
"id": "<string>",
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25"
},
"status": "booked",
"pet": {
"id": "<string>",
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"altered": true,
"microchip_number": "<string>"
},
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"services": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"price_cents": 123,
"clinic_record": "vaccination"
}
],
"subtotal_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"at_time": "<string>",
"notes": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"records": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"appointment_id": "<string>",
"catalogue_item_id": "<string>",
"next_due_on": "2023-12-25",
"details": {},
"notes": "<string>",
"performed_in_house": true,
"veterinarian": {
"id": "<string>",
"name": "<string>"
},
"practice": {
"id": "<string>",
"name": "<string>"
},
"sac_line": "microchip_id"
}
],
"payment": {
"sale_id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"refunded_cents": 123,
"paid_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
